Name:		iwak
Version:	2.5
Release:	2%{?dist}
Summary:	Detect the openssh keys affected by CVE-2008-0166 among authorized_keys

Group:		Applications/Internet
License:	GPLv2
URL:		http://www.benhur.prf.cuni.cz/medved-7/wydobitki/?path=iwak
Source0:	http://www.benhur.prf.cuni.cz/medved-7/wydobitki/iwak/%{name}-%{version}.tgz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch
Requires:	openssh-blacklist >= 1.0

%description
Detect the openssh keys affected by CVE-2008-0166 among authorized_keys.
This is done by computing the fingerprints from each authorized key
and then comparing against the databaze of blacklisted fingerprints. 

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p iwak $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/iwak

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 30 2009 Jan F. Chadima <jchadima@redhat.com> - 2.5-1
- Change location of fingerprints, allow alternate location

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Jan F. Chadima <jchadima@redhat.com> - 2.4-2
- Spec file tweaking

* Thu Jul 23 2009 Jan F. Chadima <jchadima@redhat.com> - 2.4-1
- Added check that the targeted file is owned by the user running iwak

* Thu Jul 23 2009 Jan F. Chadima <jchadima@redhat.com> - 2.3-1
- Repaired minor bugs

* Thu Jul 23 2009 Jan F. Chadima <jchadima@redhat.com> - 2.2-1
- Initial relese

